Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

# Interface IResourceDependencyLocalResolver

All Known Implementing Classes:
  `ResourceDependencyLocalResolver`

public interface IResourceDependencyLocalResolver
A resource dependency provider is in charge of providing the dependencies of resources (local or remote resources, remote meaning hosted in git for instance).

## Method Summary

Modifier and Type
Method
Description
`void`
`demandResolve(SynchronizedResourceSet resourceSet, URI uri, DiagnosticSupport diagnostic, ThreadSafeProgressMonitor tspm)`
Allows callers to launch the loading and resolution of the model pointed at by the given URI.
`void`
`updateDependencies(org.eclipse.core.runtime.IProgressMonitor monitor, DiagnosticSupport diagnostic, org.eclipse.core.resources.IFile... start)`
Make sure that dependencies for the given files are up to date.

## Method Details

### demandResolve

void demandResolve(SynchronizedResourceSet resourceSet, URI uri, DiagnosticSupport diagnostic, ThreadSafeProgressMonitor tspm)
Allows callers to launch the loading and resolution of the model pointed at by the given URI.

This will check whether the given storage isn't already being resolved, then submit a job to the `#resolvingPool` to load and resolve the model in a separate thread.

Parameters:
  `resourceSet` - The resource set in which to load the resource.
  `uri` - The uri we are to try and load as a model.
  `diagnostic` - The diagnostic
  `tspm` - Monitor on which to report progress to the user.
See Also:
  - `LocalResolveComputation`

### updateDependencies

void updateDependencies(org.eclipse.core.runtime.IProgressMonitor monitor, DiagnosticSupport diagnostic, org.eclipse.core.resources.IFile... start) throws InterruptedException
Make sure that dependencies for the given files are up to date.

Parameters:
  `monitor` - Progress monitor to use
  `diagnostic` - Diagnostic to report issues
  `start` - files that are the starting points for the update
Throws:
  `InterruptedException`